org.eclipse.jetty.server.handler

## Class ContextHandler.ApproveSameSuffixAliases

- java.lang.Object
- - org.eclipse.jetty.server.handler.ContextHandler.ApproveSameSuffixAliases

All Implemented Interfaces:
  ContextHandler.AliasCheck

Enclosing class:
  ContextHandler

    public static class ContextHandler.ApproveSameSuffixAliases
    extends Object
    implements ContextHandler.AliasCheck

Approve Aliases with same suffix. Eg. a symbolic link from /foobar.html to /somewhere/wibble.html would be approved because both the resource and alias end with ".html".

### Constructor Summary

Constructors
Constructor and Description
`ContextHandler.ApproveSameSuffixAliases()`

### Method Summary

Methods
`boolean` `check(String path, Resource resource)` Check an alias

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContextHandler.ApproveSameSuffixAliases

    public ContextHandler.ApproveSameSuffixAliases()

### Method Detail

#### check

    public boolean check(String path,
                Resource resource)

Description copied from interface: `ContextHandler.AliasCheck`
Check an alias

Specified by:
  `check` in interface `ContextHandler.AliasCheck`
Parameters:
  `path` - The path the aliased resource was created for
  `resource` - The aliased resourced
Returns:
  True if the resource is OK to be served.